org.deidentifier.arx.gui.worker

## Class WorkerImport

- java.lang.Object
- - org.deidentifier.arx.gui.worker.Worker<Data>
  - - org.deidentifier.arx.gui.worker.WorkerImport

All Implemented Interfaces:
  org.eclipse.jface.operation.IRunnableWithProgress

    public class WorkerImport
    extends Worker<Data>

This worker loads external data.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`WorkerImport(ImportConfiguration config)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(org.eclipse.core.runtime.IProgressMonitor arg0)`

### Methods inherited from class org.deidentifier.arx.gui.worker.Worker

`getError, getResult, setError`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkerImport

    public WorkerImport(ImportConfiguration config)

Creates a new instance.

Parameters:
  `config` -

### Method Detail

#### run

    public void run(org.eclipse.core.runtime.IProgressMonitor arg0)
             throws java.lang.reflect.InvocationTargetException,
                    java.lang.InterruptedException

Throws:
  `java.lang.reflect.InvocationTargetException`
  `java.lang.InterruptedException`